Atualizar a Senha de um Usuário
curl --request PATCH \
--url https://identity.sandbox.lerian.net/v1/users/{id}/update-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newPassword": "newpassword",
"oldPassword": "oldpassword"
}
'import requests
url = "https://identity.sandbox.lerian.net/v1/users/{id}/update-password"
payload = {
"newPassword": "newpassword",
"oldPassword": "oldpassword"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newPassword: 'newpassword', oldPassword: 'oldpassword'})
};
fetch('https://identity.sandbox.lerian.net/v1/users/{id}/update-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Atualizar a Senha de um Usuário
Use este endpoint para alterar a senha de um usuário fornecendo a senha atual (antiga) junto com a nova. Ideal para atualizações de senha por autoatendimento.
PATCH
/
v1
/
users
/
{id}
/
update-password
Atualizar a Senha de um Usuário
Autorizações
O token de autorização no formato 'Bearer '.
Parâmetros de caminho
O identificador único do usuário que você deseja recuperar.
Corpo
application/json
Resposta
Se a requisição for bem-sucedida, você receberá uma resposta vazia.
Esta página foi útil?
⌘I

